# Open-Source iOS Apps

<!-- 
⚠️ This README is generated, please do not update. To contribute, make changes to contents.json ⚠️ 
--> 

A collaborative list of open-source iOS apps, your [contribution](https://github.com/dkhamsing/open-source-ios-apps/issues) [is](https://github.com/dkhamsing/open-source-ios-apps/pulls) [welcome](#contact) :smile:
 
Jump to 
 
- [Apple TV](#apple-tv) 
- [Apple Watch](#apple-watch) 
- [Browser](#browser) 
- [Communication](#communication) 
- [Conference](#conference) 
- [Content Blocking](#content-blocking) 
- [Developer](#developer) 
  - [GitHub](#github) 
- [Finance](#finance) 
- [Games](#games) 
- [Health](#health) 
- [Keyboards](#keyboards) 
- [Location](#location) 
- [Media](#media) 
- [News](#news) 
  - [Hacker News](#hacker-news) 
- [Official](#official) 
- [Sample](#sample) 
- [Security](#security) 
- [Social](#social) 
- [Tasks](#tasks) 
- [Weather](#weather) 
- [Web](#web) 
- [Misc](#misc) 
  - [3D Touch](#3d-touch) 
  - [Calendar](#calendar) 
  - [Text](#text) 
  - [Timer](#timer) 
- [Special](#special) 
  - [Appcelerator](#appcelerator) 
  - [Core Data](#core-data) 
  - [[Ionic](http://ionicframework.com/)](#ionic) 
  - [Parse](#parse) 
  - [[React Native](http://facebook.github.io/react-native/)](#react-native) 
  - [Reactive Programming](#reactive-programming) 
  - [[ReactiveCocoa](https://github.com/ReactiveCocoa/ReactiveCocoa)](#reactivecocoa) 
  - [[RXSwift](https://github.com/ReactiveX/RxSwift)](#rxswift) 
  - [Realm](#realm) 
  - [[VIPER](https://mutualmobile.github.io/blog/2013/12/04/viper-introduction/)](#viper) 
  - [Xamarin](#xamarin) 
- [Bonus](#bonus) 

```
🔶 Swift projects

Projects that are not in English have a flag
🇨🇳 Project is in Chinese
🇪🇸 Project is in Spanish, etc

 100+ Stars: 🔥
 200+ Stars: 🔥🔥
 500+ Stars: 🔥🔥🔥
1000+ Stars: 🔥🔥🔥🔥
2000+ Stars: 🔥🔥🔥🔥🔥
```

## Apple TV 
 
[back to top](#readme) 
 
- Artsy Shows: Art shows on your TV 🔶🔥🔥
  - https://github.com/artsy/Emergence
- EX Player: Watch video from ex.ua 
  - https://github.com/IGRSoft/exTVPlayer
- Provenance: Frontend for multiple emulators, currently supporting Sega Genesis, SNES, NES, GB/GBC, & more 🔥🔥🔥🔥
  - https://github.com/jasarien/Provenance
- UitzendingGemist: Unofficial Apple TV app for Dutch Public Broadcasting video on demand service 🔶
  - https://github.com/jeffkreeftmeijer/UitzendingGemist
- WWDCTV: Watch the WWDC Videos on your Apple TV 🔥🔥
  - https://github.com/azzoor/WWDCTV

## Apple Watch 
 
[back to top](#readme) 
 
- BaiduFM-Swift 🔶🔥🔥
  - https://github.com/belm/BaiduFM-Swift
- Bither: Simple and secure Bitcoin wallet 
  - https://github.com/bither/bither-ios ([extension](https://github.com/bither/bither-ios/tree/master/bither-ios%20WatchKit%20Extension))
  - https://itunes.apple.com/app/bither/id899478936
- Brew: Discover craft beer pubs nearby 🔶
  - https://github.com/contentful/ContentfulWatchKitExample
  - https://itunes.apple.com/app/id986830433
- Bus Today: Track bus line on your wrist 🇨🇳
  - https://github.com/JohnWong/bus-today
  - https://itunes.apple.com/app/jin-ri-gong-jiao-tong-zhi/id975022341
- Calculator by mukeshthawani 🔶
  - https://github.com/mukeshthawani/Calculator
- Calculator by noodlewerk 🔶
  - https://github.com/noodlewerk/Apple_Watch_Calculator
- Cherry: Mini Pomodoro Timer app 🔶🔥🔥
  - https://github.com/kenshin03/Cherry
- Connectivity Demo 
  - https://github.com/swilliams/watchkit-connectivity-demo
- CoolSpot: The missing Spotify app 🔶
  - https://github.com/neonichu/CoolSpot
- Cortado: Track your caffeine consumption habits 🔥
  - https://github.com/lazerwalker/cortado
  - https://itunes.apple.com/app/cortado/id969899327
- Done: Data sharing between a WatchKit app and its main app using Realm 🔶
  - https://github.com/FancyPixel/done-swift
- FlickrWatch: Apple Watch face using Flickr API 
  - https://github.com/jazzychad/FlickrWatch
- GrandCentralBoard: Hang a TV in your open space / team room to show everyone what's up and get them up to speed 🔶🔥
  - https://github.com/macoscope/GrandCentralBoard
- Gulps: Track your daily water consumption 🔶🔥🔥
  - https://github.com/FancyPixel/gulps
  - https://itunes.apple.com/app/gulps/id979057304
- HN Reader: Hacker News Reader 🔶🔥🔥🔥
  - https://github.com/Dimillian/SwiftHN
  - https://itunes.apple.com/app/hn-reader-hacker-news-reader/id919243741
- HighStreet: Highstreet shopping app 🔶🔥🔥
  - https://github.com/GetHighstreet/HighstreetWatchApp
- Impulse: Real-time age ticker for iOS and watchOS 🔶
  - https://github.com/Jasdev/Impulse
- KTPomodoro: Mini Pomodoro Timer app 
  - https://github.com/kenshin03/KTPomodoro
- Lister: List app example by Apple 🔶
  - https://developer.apple.com/library/ios/samplecode/Lister/Introduction/Intro.html
- Natural Language Clock: Display the time as you would speak it 🔶
  - https://github.com/chadkeck/Natural-Language-Clock
- OnTime: Apple Watch app to access the SBB (Swiss railway) timetable 
  - https://github.com/D-32/OnTime
- Parties for WWDC 🔥
  - https://github.com/genadyo/WWDC
  - https://itunes.apple.com/app/parties-for-wwdc/id879924066
- PhoneBattery: Your phone's battery, on your wrist 
  - https://github.com/marcelvoss/PhoneBattery
  - https://itunes.apple.com/app/phonebattery-your-phones-battery/id1009278300
- PhotoWatch: Uses the SwiftyDropbox SDK 🔶
  - https://github.com/dropbox/PhotoWatch
- Soon: Countdown App 🔶
  - https://github.com/sandofsky/soon
- WatchKit-Apps: Tutorials app for WatchKit 🔶🔥🔥🔥
  - https://github.com/kostiakoval/WatchKit-Apps
- WatchNotes: Notes on your wrist 🔶
  - https://github.com/azamsharp/WatchNotes
- WatchPics: Instagram app 
  - https://github.com/D-32/WatchPics
- WatchSnake: Game of Snake 🔶
  - https://github.com/davidcairns/-WatchSnake
- WatchStocks: Track your stocks portfolio, also includes a watch face complication 🔶
  - https://github.com/G2Jose/WatchStocks
- Watchman: A WatchOS2 Hangman Game 🔶
  - https://github.com/DanielTomlinson/Watchman
- Wunderschnell: Order the right product with one tap on your wrist 🔶
  - https://github.com/contentful-labs/Wunderschnell
- heartrate: Show streaming heartrate from the watch with watchOS 2 🔶🔥🔥
  - https://github.com/coolioxlr/watchOS-2-heartrate
- watchOS-2-Sampler: Code examples for new features of watchOS 2 🔶🔥🔥🔥
  - https://github.com/shu223/watchOS-2-Sampler

## Browser 
 
[back to top](#readme) 
 
- Brave: Firefox-based browser with ad blocking built in (also blocks tracking pixels/cookies) 🔶🔥🔥
  - https://github.com/brave/browser-ios
- Endless Browser: Web browser built with privacy and security in mind 
  - https://github.com/jcs/endless
  - https://itunes.apple.com/app/endless-browser/id974745755
- Firefox: Official Firefox app 🔶🔥🔥🔥🔥🔥
  - https://github.com/mozilla/firefox-ios
  - https://itunes.apple.com/app/firefox-web-browser/id989804926
- Frameless: A full-screen web browser 🔶🔥🔥🔥
  - https://github.com/stakes/Frameless
  - https://itunes.apple.com/app/id933580264

## Communication 
 
[back to top](#readme) 
 
- Actor: Communication app with a focus on speed and security 
  - https://github.com/actorapp/actor-platform
  - https://itunes.apple.com/app/actor-messenger/id1025501036
- BLEMeshChat: Bluetooth LE mesh chat 🔥
  - https://github.com/chrisballinger/BLEMeshChat
- ChatSecure: Encrypted chat app that supports OTR encryption over XMPP 🔥🔥🔥🔥
  - https://github.com/ChatSecure/ChatSecure-iOS
  - https://itunes.apple.com/app/chatsecure-encrypted-messenger/id464200063
- Chats: Messages app 🔶🔥🔥🔥🔥
  - https://github.com/acani/Chats
- Colloquy: IRC client 
  - https://github.com/colloquy/colloquy
- IRCCloud: An IRC client/service 🔥
  - https://github.com/irccloud/ios
  - https://itunes.apple.com/app/irccloud/id672699103
- M: Email with device-to-device encryption for messages sent between M users 
  - https://github.com/Mynigma/M
  - https://itunes.apple.com/app/m-safe-email-made-simple/id818498595
- Mumble: Gaming-focused social voice chat utility 🔥
  - https://github.com/mumble-voip/mumble-iphoneos
- Rocket.Chat: Meteor chat platform app 🔶
  - https://github.com/RocketChat/Rocket.Chat.iOS
- Signal: Free, world-wide, private messaging and phone calls for iPhone 🔥🔥🔥🔥
  - https://github.com/WhisperSystems/Signal-iOS
  - https://itunes.apple.com/app/id874139669
- Telegram: Messaging app with a focus on speed and security 🔥🔥🔥
  - https://github.com/peter-iakovlev/Telegram
  - https://itunes.apple.com/app/telegram-messenger/id686449807
- TextEthan: Clone of TextEthan, a messaging app that allows anyone to message you 🔶
  - https://github.com/thii/TextEthan
- surespot: Secures all messages using end-to-end encryption 
  - https://github.com/surespot/surespot-ios
  - https://itunes.apple.com/app/surespot/id790314865

## Conference 
 
[back to top](#readme) 
 
- EventBlankApp: App for events or conferences 🔶🔥🔥
  - https://github.com/icanzilb/EventBlankApp
- NortalTechDay: Nortal TechDay 2015 app 🔥
  - https://github.com/mikkoj/NortalTechDay
- ParseDeveloperDay: Parse 2013 developer conference app 
  - https://github.com/ParsePlatform/ParseDeveloperDay
- RWDevCon: RWDevCon app 🔶
  - https://github.com/raywenderlich/RWDevCon-App
- Valio: Valio Con 2014 schedule 🔶🔥🔥
  - https://github.com/soffes/valio
- trySwiftApp: try! Swift conference app 🔶🔥
  - https://github.com/tryswift/trySwiftApp

## Content Blocking 
 
[back to top](#readme) 
 
- Adblock Fast 🔥🔥
  - https://github.com/rocketshipapps/adblockfast
  - https://itunes.apple.com/app/adblock-fast/id1032930802
- Adblock Plus 
  - https://github.com/adblockplus/adblockplussafariios
  - https://itunes.apple.com/app/adblock-plus-abp/id1028871868
- BlockParty: Content blocker for iOS and OS X 🔥🔥🔥
  - https://github.com/krishkumar/BlockParty
- Focus: Content blocker by Firefox 🔶🔥🔥
  - https://github.com/mozilla/focus

## Developer 
 
[back to top](#readme) 
 
- AppLove: View app reviews for all territories (countries) 🔶
  - https://github.com/snowpunch/AppLove
  - https://itunes.apple.com/app/app-love/id1099336831
- Bequest: Create and replay HTTP/S requests 🔶
  - https://github.com/splinesoft/Bequest
- CI2Go: An unofficial CircleCI Client 🔶
  - https://github.com/ngs/ci2go
  - https://itunes.apple.com/app/ci2go-the-circleci-client/id940028427
- Charter: A Swift mailing list client for iPhone and iPad 🔶🔥
  - https://github.com/matthewpalmer/Charter
  - https://itunes.apple.com/app/charter-mailing-list-client/id1082212697
- Codinator: Code editor for iPhone and iPad 
  - https://github.com/VWAS/codinator
  - https://itunes.apple.com/app/codinator/id1024671232
- RealmVideo: Watch Realm videos and slides on your phone 🔶🔥
  - https://github.com/BalestraPatrick/RealmVideo
- Review Time: Shows average review times for iOS and Mac apps 🔶🔥
  - https://github.com/nthegedus/ReviewTime
- TLDR Man Page: Reference dictionary for computer manual commands, but in TL;DR (Too long didn't read) mode 🔶
  - https://github.com/freesuraj/TLDR
  - https://itunes.apple.com/app/tldr-man-page/id1073433250
- wat: Very simple packet sniffer in Swift 🔶
  - https://github.com/pj4533/wat

### GitHub 
 
[back to top](#readme) 
 
- Github-Swift: App written in Swift using the Github API 🔶
  - https://github.com/acmacalister/Github-Swift
- Monkey: GitHub third party client that shows the rank of coders and repositories 🔥🔥🔥
  - https://github.com/coderyi/Monkey
  - https://itunes.apple.com/app/monkey-for-github/id1003765407
- MrCode: GitHub iPhone app that can cache Markdown content 🇨🇳🔥🔥
  - https://github.com/haolloyin/MrCode
- OctoPodium: List user rankings based on GitHub repository star count 🔶
  - https://github.com/nunogoncalves/iOS-OctoPodium
  - https://itunes.apple.com/app/octopodium/id1077519133
- View Rails Casts video on Apple TV: Watch rails casts video on Apple TV 
  - https://github.com/spritlesoftware/railscasts-on-appletv

## Finance 
 
[back to top](#readme) 
 
- BitStore: Bitcoin wallet 
  - https://github.com/BitStore/BitStore-iOS
  - https://itunes.apple.com/app/bitstore/id890668158
- Buck Tracker: Expense tracker 🔶
  - https://github.com/hkalexling/Buck_Tracker
  - https://itunes.apple.com/app/ibudgeter/id1048395728
- Coins: Bitcoin value tracker 🔶🔥
  - https://github.com/nothingmagical/coins
- Concurrency: Beautiful, intuitive currency converter 🔥🔥
  - https://github.com/nicklockwood/Concurrency
  - https://itunes.apple.com/app/concurrency/id738872892
- Savings Assistant: Expense tracker 🔶
  - https://github.com/chrisamanse/savings-assistant
  - https://itunes.apple.com/app/savings-assistant/id1022760996
- ToThePenny: Budget tracker 
  - https://github.com/vanyaland/ToThePenny
  - https://itunes.apple.com/app/tothepenny/id994476075
- TodayStocks: Lightweight stocks app that shows your portfolio in a minimalist today extension 
  - https://github.com/premnirmal/TodayStocks
  - https://itunes.apple.com/app/todaystocks/id993467855
- breadwallet: Bitcoin wallet 
  - https://github.com/breadwallet/breadwallet
  - https://itunes.apple.com/app/breadwallet/id885251393
- doughwallet: Dogecoin wallet 
  - https://github.com/peritus/doughwallet
  - https://itunes.apple.com/app/doughwallet/id951731776

## Games 
 
[back to top](#readme) 
 
- 2048 in Objective-C 🔥
  - https://github.com/austinzheng/iOS-2048
- 2048 in Swift 🔶🔥🔥🔥🔥
  - https://github.com/austinzheng/swift-2048
- Bridges: A puzzle game with bridges, houses, tolls, and subways 🔥
  - https://github.com/zgrossbart/bridges
  - https://itunes.apple.com/app/seven-bridges/id586598714
- Canabalt: Infinite runner 🔥🔥🔥🔥
  - https://github.com/ericjohnson/canabalt-ios
  - https://itunes.apple.com/app/canabalt/id333180061
- CardsAgainst: Cards Against Humanity app 🔶🔥🔥
  - https://github.com/jpsim/CardsAgainst
- Chess: iOS Chess game to learn SpriteKit 🔶
  - https://github.com/mjcuva/Chess
- Chuck: Throw a ball and catch it. Over and over and over. 
  - https://github.com/moowahaha/Chuck
  - https://itunes.apple.com/app/chuck/id1050453297
- CodeCombat: Multiplayer programming game for learning how to code 
  - https://github.com/codecombat/codecombat-ios
- DOOM: Doom Classic for iOS 🔥🔥
  - https://github.com/id-Software/DOOM-iOS
  - https://itunes.apple.com/app/doom-classic/id336347946
- DOOM-IOS2: Doom Classic for iOS version 2 🔥
  - https://github.com/id-Software/DOOM-IOS2
  - https://itunes.apple.com/app/doom-ii-rpg/id354051766
- Dungeon Crawl: A game of dungeon exploration, combat and magic, involving characters of diverse skills 
  - https://github.com/CliffsDover/crawl/tree/iOS_Release
- Five-In-A-Row: Five In A Row () game with SpriteKit 🇨🇳
  - https://github.com/WelkinXie/FiveInARow
- FlappySwift: Swift implementation of Flappy Bird 🔶🔥🔥🔥🔥🔥
  - https://github.com/fullstackio/FlappySwift
- GBA4iOS: Gameboy, Gameboy Color & Gameboy Advance emulator 
  - https://bitbucket.org/rileytestut/gba4ios/
- Game Of Life: Conway's Game of Life 🔶
  - https://github.com/yonbergman/swift-gameoflife
- Gorillas: An iPhone (or iPod touch) port of the popular old QBasic game with spunk! 🔥🔥
  - https://github.com/Lyndir/Gorillas
- GrubbyWorm: A simple digital worm game made with iOS 9, SpriteKit, GameplayKit and ReplayKit, written in Swift 2 🔶
  - https://github.com/gamechina/GrubbyWorm
- MUDRammer: MUD Client for iPhone and iPad 
  - https://github.com/splinesoft/MUDRammer
  - https://itunes.apple.com/app/mudrammer-a-modern-mud-client/id597157072
- Mission999 
  - https://github.com/whunmr/Mission999
  - https://itunes.apple.com/app/mission-999/id1036686316
- Orbit7: iOS Game created in SpriteKit 🔶
  - https://github.com/Mav3r1ck/Orbit7
- Provenance: Frontend for multiple emulators, currently supporting Sega Genesis, SNES, NES, GB/GBC, & more 🔥🔥🔥🔥
  - https://github.com/jasarien/Provenance
- Sakura Fly: Action game created in SpriteKit 
  - https://github.com/l800891/Sakura-Fly
  - https://itunes.apple.com/app/sakura-fly/id1019023051
- SceneKitFrogger 🔶
  - https://github.com/devindazzle/SceneKitFrogger
- Spare Parts: Simple 2D point and line physics using Verlet integration 
  - https://github.com/adamwulf/spare-parts-app
  - https://itunes.apple.com/app/spare-parts/id981297199
- Stick-Hero-Swift: Universal iOS Game using Swift and iOS SpriteKit 🔶🔥🔥
  - https://github.com/phpmaple/Stick-Hero-Swift
- Wolfenstein 3D: Wolfenstein 3D for iOS 🔥🔥
  - https://github.com/id-Software/Wolf3D-iOS
  - https://itunes.apple.com/app/wolfenstein-3d-classic-platinum/id309470478
- littlego: Play the game of Go on the iPhone or iPad 
  - https://github.com/herzbube/littlego
- 翻翻看: Concentration game 🔶🇨🇳🔥
  - https://github.com/geek5nan/FanFanSwift

## Health 
 
[back to top](#readme) 
 
- Arex: App for remembering to take your medications 🔶
  - https://github.com/a2/arex-7
- AsthmaHealth: ResearchKit app studying Asthma 
  - https://github.com/ResearchKit/AsthmaHealth
  - https://itunes.apple.com/app/asthma-health-by-mount-sinai/id972625668
- Depressed: Test if you are depressed 🔶
  - https://github.com/DerLobi/Depressed
  - https://itunes.apple.com/app/depressed/id1062594092
- GlucoSuccess: ResearchKit app studying Diabetes 
  - https://github.com/ResearchKit/GlucoSuccess
  - https://itunes.apple.com/app/glucosuccess/id972143976
- HealthKit~Swift: Sample app for Apple HealthKit 🔶
  - https://github.com/Darktt/HealthKit-Swift
- Jim: Track your gym workouts 🔶
  - https://github.com/kylejm/Jim
- LogU: A Strength Logger is a simple logging application for strength athletes. 🔶
  - https://github.com/brettalcox/logU-swift
  - https://itunes.apple.com/app/logu-a-strength-logger/id1084487510
- MyHeartCounts: Personalized tool that can help you measure daily activity, fitness, and cardiovascular risk 
  - https://github.com/ResearchKit/MyHeartCounts
  - https://itunes.apple.com/app/id972189947
- Share The Journey: ResearchKit app studying Breast Cancer 
  - https://github.com/ResearchKit/ShareTheJourney
  - https://itunes.apple.com/app/share-the-journey/id972180604
- Speak: AAC & Speech Therapy 
  - https://github.com/raynesio/speakability
  - https://itunes.apple.com/app/speakability/id784509467
- mPower: ResearchKit app studying Parkinson's disease 
  - https://github.com/ResearchKit/mPower
  - https://itunes.apple.com/app/parkinson-mpower-study-app/id972191200
- rTracker: A generic, customizable personal data tracker 
  - https://github.com/rob-miller/rTracker
  - https://itunes.apple.com/app/rtracker-track-it-all-your-way/id486541371

## Keyboards 
 
[back to top](#readme) 
 
- AA-Keyboard: ASCI Art Keyboard 
  - https://github.com/sonsongithub/AAKeyboard
  - https://itunes.apple.com/app/aa-keyboard/id964182815
- ClickWheelKeyboard: Brings back the classic iPod click wheel as a keyboard for iOS 8 
  - https://github.com/b3ll/ClickWheelKeyboard
  - https://itunes.apple.com/app/click-wheel-keyboard/id993111285
- Hodor: Fun Hodor keyboard 🔶
  - https://github.com/jonomuller/Hodor-Keyboard
- NaughtyKeyboard: Keyboard that supports The Big List of Naughty Strings 🔶🔥🔥🔥
  - https://github.com/Palleas/NaughtyKeyboard
- Slidden: An open source, customizable, iOS keyboard 🔥🔥
  - https://github.com/Brimizer/Slidden

## Location 
 
[back to top](#readme) 
 
- Alarm: Geolocation based alarm app for travelers 🔶🔥
  - https://github.com/ChrisChares/swift-alarm
- Cafe 🔶🇨🇳
  - https://github.com/flexih/Cafe
  - https://itunes.apple.com/app/diao-ke-shi-guang/id440983941
- DoctorNearby: Is a healthcare app, which helps you find doctors in your city 
  - https://github.com/vincezzh/doctornearby-ios
  - https://itunes.apple.com/app/doctor-nearby/id1068715113
- Doppio: Finds the nearest Starbucks 🔥🔥🔥
  - https://github.com/chroman/Doppio
- EatNow: Get recommendations for nearby restaurants. 
  - https://github.com/callzhang/Eat-Now
  - https://itunes.apple.com/app/eat-now-instant-personalized/id946591471
- GeoTappy: Share your location 
  - https://github.com/GeoTappy/GeoTappy-iOS
- HopperBus: Timetable for the University of Nottingham Hopper Bus 🔶
  - https://github.com/TosinAF/HopperBus-iOS
- Locative: Helping you to get the best out of your automated home, geofencing, iBeacons at your hand 🔥
  - https://github.com/LocativeHQ/ios-app
  - https://itunes.apple.com/app/locative/id725198453
- Moves: Visualize which places you spent the most time at 
  - https://github.com/neonichu/Places
- OneBusAway: Real-time arrival & schedule information for public transit in Seattle, Atlanta, Tampa, and more 🔥
  - https://github.com/OneBusAway/onebusaway-iphone
  - https://itunes.apple.com/app/onebusaway/id329380089
- OwnTracks: Keep track of your own location, you can build your private location diary or share it with your family and friends. 
  - https://github.com/owntracks/ios
- ParkenDD: Check the status of several public parking lots in Germany and Switzerland 🔶
  - https://github.com/kiliankoe/ParkenDD
  - https://itunes.apple.com/app/parkendd/id957165041
- PebCiti: Pebble app to show nearest CitiBike NYC dock 
  - https://github.com/joemasilotti/PebCiti
- Smart Traveller (UberGuide): Simple and comfortable way to explore a city using Uber API 🔥
  - https://github.com/hACKbUSTER/UberGuide-iOS
- Startups - Mapped In Israel: Discover new startups and locate co-working spaces 
  - https://github.com/sugarso/MappedInIsrael
- Swift-Walk-Tracker: An open source walk tracking iOS App 🔶
  - https://github.com/kevinvanderlugt/Swift-Walk-Tracker
- VisitBCN: City guide for Barcelona 
  - https://github.com/maurovc/visitBCN
  - https://itunes.apple.com/app/visitbcn/id904676442
- iBeaconTasks: iBeacon TODO reminder app based on Parse 
  - https://github.com/TomekB/iBeaconTasks
- pathlogger: GPS logging application for iOS written in Swift 🔶
  - https://github.com/eugenpirogoff/pathlogger

## Media 
 
Image, video, audio, reading — [back to top](#readme) 
 
- 360 VR Player: Universal 360 video player 🔥🔥🔥 🔥🔥🔥
  - https://github.com/hanton/HTY360Player
  - https://itunes.apple.com/app/360-vr-player/id1061464612
- Analog Synth X: Analog Synthesizer Keyboard Music App, created w/ Swift 2  ([code](https://github.com/audiokit/AudioKit/tree/master/Examples/iOS/AnalogSynthX)) 🔶
  - http://matthewfecher.com/app-developement/swift-synth/
- Artsy: The Art World in Your Pocket 🔥🔥🔥🔥
  - https://github.com/artsy/eigen
  - https://itunes.apple.com/app/artsy-art-world-in-your-pocket/id703796080
- Artsy Folio: Artwork showcase 🔥
  - https://github.com/artsy/energy
  - https://itunes.apple.com/app/artsy-folio/id504862164
- CollageMaker: Import photos from an Instagram user and make a collage 
  - https://github.com/Azoft/CollageMaker-iOS
- ColorBlur: Add blur to your photos 
  - https://github.com/maurovc/ColorBlur
  - https://itunes.apple.com/app/id928863510
- ComicFlow: Comic reader for iPad 🔥
  - https://github.com/swisspol/ComicFlow
  - https://itunes.apple.com/app/comicflow/id409290355
- DoubanFM: douban.fm client for iPhone, using AFN and MPMoviePlayer 🇨🇳🔥🔥
  - https://github.com/XVXVXXX/DoubanFM
- Dunk: Dribbble client 🔶🔥🔥
  - https://github.com/naoyashiga/Dunk
  - https://itunes.apple.com/app/dunk-for-dribbble/id1003028105
- EX Player: Watch video from ex.ua 
  - https://github.com/IGRSoft/exTVPlayer
- Eleven: Eleven Player is a simple powerful video player, uses ffmpeg 🔥🔥
  - https://github.com/coderyi/Eleven
  - https://itunes.apple.com/app/elevenplayer/id1033773648
- Filterpedia: Core Image Filter explorer 🔶🔥🔥🔥
  - https://github.com/FlexMonkey/Filterpedia
- Flickr-Search: Simple app which consumes the Flickr Search API 
  - https://github.com/alikaragoz/Flickr-Search/
- FreeStreamer: A low-memory footprint streaming audio player 🔥🔥🔥
  - https://github.com/muhku/FreeStreamer
- KonaBot: unofficial client for konachan.net 🔶
  - https://github.com/hkalexling/KonaBot-iOS
  - https://itunes.apple.com/app/konabot/id1055716649
- Longboxed: Track the releases of your favorite comics. 
  - https://github.com/jayhickey/Longboxed-iOS
  - https://itunes.apple.com/app/longboxed-comic-tracker/id965045339
- Megabite: Turn a photo of your food into a face 🔥🔥
  - https://github.com/AaronRandall/Megabite
- OCiney: Movie info app 🔥
  - https://github.com/florent37/OCiney-iOS
  - https://itunes.apple.com/app/id955480687
- Open Source Selfie Stick: Sync two iOS devices and use one as a remote control for the other's camera! 
  - https://github.com/RF-Nelson/open-source-selfie-stick
  - https://itunes.apple.com/app/id1084487132
- OpenPics: View historical images from multiple remote sources 
  - https://github.com/pj4533/OpenPics
- PhishOD: Listen to any song from Phish.in and view concert ratings and reviews from phish.net 
  - https://github.com/alecgorge/PhishOD-iOS
  - https://itunes.apple.com/app/phish-on-demand-all-phish/id672139018
- PhotoBrowser: A simple iOS Instagram photo browser 🔶🔥🔥
  - https://github.com/MoZhouqi/PhotoBrowser
- PopcornTime: PopcornTime movie app 🔶
  - https://github.com/danylokostyshyn/popcorntime-ios
- Poppins: House all your favorite GIFs and easily share them with your friends and family 🔶
  - https://github.com/thoughtbot/poppins
  - https://itunes.apple.com/app/poppins/id978854068
- Pugs: Simple pug photo viewer 🔶
  - https://github.com/soffes/Pugs
- ReactiveKitten: It's about gifs and cats, example project for Interstellar 🔶
  - https://github.com/JensRavens/ReactiveKitten
- RealmVideo: Watch Realm videos and slides on your phone 🔶🔥
  - https://github.com/BalestraPatrick/RealmVideo
- Revolved: 3D modelling app for the iPad 🔥🔥🔥
  - https://github.com/Ciechan/Revolved
- SoundCloudSwift: SoundCloud client written on Swift 🔶🔥
  - https://github.com/pepibumur/SoundCloudSwift
- Swift ASCII Art Generator 🔶🔥
  - https://github.com/ijoshsmith/swift-ascii-art
- Swift Radio Pro: Professional Radio Station App, created w/ Swift 2.0 🔶🔥🔥🔥🔥
  - https://github.com/swiftcodex/Swift-Radio-Pro
- SwiftFlickrApp: Flickr popular photo viewer 🔶🔥🔥
  - https://github.com/synboo/SwiftFlickrApp
- SwiftSpace: CoreMotion Controlled Drawing in 3D Space 🔶
  - https://github.com/FlexMonkey/SwiftSpace
- Swifteroid: A manual HDR exposure camera app written in Swift 🔶
  - https://github.com/eugenpirogoff/swifteroid
- TechTavta: Keep track of all events for Techtatva 2015 
  - https://github.com/LUGM/TechTatva-15
  - https://itunes.apple.com/in/app/techtatva15/id922178880
- Textbook: textbooks from People's Education Press in China 🔶🇨🇳
  - https://github.com/JohnWong/textbook
  - https://itunes.apple.com/app/ke-ben/id993244460
- That Movie With: Find common movies among actors 
  - https://github.com/jayhickey/thatmoviewith
  - https://itunes.apple.com/app/that-movie-with/id892972135
- Upupu: Simple camera app that can backup pictures on a WebDAV server or Dropbox 
  - https://github.com/xcoo/upupu
  - https://itunes.apple.com/app/upupu/id508401854
- VLC: Media Player 🔥🔥🔥🔥
  - https://github.com/videolan/vlc
  - https://www.videolan.org/
  - https://itunes.apple.com/app/vlc-for-ios/id650377962
- VoiceMemos: Universal audio recorder app 🔶🔥
  - https://github.com/MoZhouqi/VoiceMemos
- movies: Movie info app 🔥🔥🔥
  - https://github.com/KMindeguia/movies
- prankPro: Record a 6 second video while playing prank sounds 
  - https://github.com/huijimuhe/prankPro
- xkcd: iPhone app 
  - https://github.com/paulrehkugler/xkcd
  - https://itunes.apple.com/app/xkcd/id303688284
- xkcd Open Source: An xkcd Comic Reader 🔥
  - https://github.com/mamaral/xkcd-Open-Source
  - https://itunes.apple.com/app/xkcd-open-source/id995811425

## News 
 
[back to top](#readme) 
 
- Designer News App 🔶🔥🔥🔥🔥
  - https://github.com/MengTo/DesignerNewsApp
  - https://itunes.apple.com/app/designer-news-app/id879990495
- Feeds4U: Well architected RSS reader 🔶
  - https://github.com/EvgenyKarkan/Feeds4U
  - https://itunes.apple.com/app/feeds4u/id1038456442
- GrinnellEvents: Grinnell Events gathers all events on campus, and lists them so you can see what's happening 
  - https://github.com/kvnbautista/Grinnell-Events-iOS
  - https://itunes.apple.com/app/grinnell-events/id924312300
- NirZhihuDaily2.0 🇨🇳🔥🔥🔥
  - https://github.com/zpz1237/NirZhihuDaily2.0
- RSSRead: A RSS reader with offline feature 🇨🇳🔥🔥
  - https://github.com/ming1016/RSSRead
  - https://itunes.apple.com/app/yi-yue-rss-li-xian-xin-wen-yue-du/id850246364
- Reddit: Reddit news app 🔶
  - https://github.com/amitburst/reddit-demo
- TabDump: TabDump news app 
  - https://github.com/dkhamsing/TabDump
- The Oakland Post: App for student-run newspaper at Oakland University in Rochester, Michigan 🔶🔥🔥
  - https://github.com/aclissold/the-oakland-post
  - https://itunes.apple.com/app/oakland-post/id931152313
- v2ex: An iOS client for the technical and creative website v2ex.com 🇨🇳🔥🔥🔥🔥
  - https://github.com/singro/v2ex
  - https://itunes.apple.com/app/v2ex-chuang-yi-gong-zuo-zhe/id898181535

### Hacker News 
 
[back to top](#readme) 
 
- HN Reader: Hacker News Reader 🔶🔥🔥🔥
  - https://github.com/Dimillian/SwiftHN
  - https://itunes.apple.com/app/hn-reader-hacker-news-reader/id919243741
- HN-App 🔶
  - https://github.com/NikantVohra/HackerNewsClient-iOS
  - https://itunes.apple.com/app/hn-app/id983203003
- Hacker News Client: Firebase API-Based iOS Reader (Firebase) 🔥🔥
  - https://github.com/bonzoq/hniosreader
  - https://itunes.apple.com/app/hacker-news-client/id939454231
- HackerNews 🔶🔥🔥🔥
  - https://github.com/amitburst/HackerNews
- HackerNews (Y): Built using pure Objective-C with official HN API (uses Firebase and Fabric) 
  - https://github.com/vetri02/HackerNews
  - https://itunes.apple.com/app/hacker-news-y/id1027140113
- Hackers 🔶🔥🔥
  - https://github.com/weiran/Hackers
- News/YC: Hacker News client with user management, commenting, submitting and themes 🔶🔥🔥🔥
  - https://github.com/bennyguitar/News-YC---iPhone
  - https://itunes.apple.com/app/news-yc/id592893508
- Simple Reader 🔥
  - https://github.com/rnystrom/HackerNewsReader
  - https://itunes.apple.com/app/simple-reader-free-open-source/id1000995253
- news: yc 🔥🔥🔥🔥
  - https://github.com/Xuzz/newsyc
  - https://itunes.apple.com/app/news-yc/id434787119

## Official 
 
[back to top](#readme) 
 
- Coding: Official Coding app 🔥🔥🔥
  - https://github.com/Coding/Coding-iOS
  - https://itunes.apple.com/app/coding/id923676989
- DuckDuckGo: Official DuckDuckGo app 
  - https://github.com/duckduckgo/ios/
  - https://itunes.apple.com/app/duckduckgo-search-stories/id663592361
- Firefox: Official Firefox app 🔶🔥🔥🔥🔥🔥
  - https://github.com/mozilla/firefox-ios
  - https://itunes.apple.com/app/firefox-web-browser/id989804926
- VLC: Media Player 🔥🔥🔥🔥
  - https://github.com/videolan/vlc
  - https://www.videolan.org/
  - https://itunes.apple.com/app/vlc-for-ios/id650377962
- WhiteHouse: Official White House app 🔥🔥🔥
  - https://github.com/WhiteHouse/wh-app-ios
  - https://itunes.apple.com/app/the-white-house/id350190807
- Wikipedia: Official Wikipedia app 🔥🔥🔥
  - https://github.com/wikimedia/wikipedia-ios
  - https://itunes.apple.com/app/wikipedia-mobile/id324715238
- WordPress: Official WordPress app 🔥🔥🔥
  - https://github.com/wordpress-mobile/WordPress-iOS
  - https://itunes.apple.com/app/wordpress/id335703880

## Sample 
 
[back to top](#readme) 
 
- Apple Developer Library 
  - https://developer.apple.com/library/ios/navigation/#section=Resource%20Types&topic=Sample%20Code
- Apple WWDC 2015: Code samples from WWDC 2015 
  - https://developer.apple.com/sample-code/wwdc/2015/
- Cannonball: Fun way to create and share stories and poems using Fabric 🔶🔥🔥
  - https://github.com/twitterdev/cannonball-ios
  - https://itunes.apple.com/app/cannonball-magnetic-poetry/id929750075
- CloudKit in Objective-C 
  - https://github.com/Yalantis/CloudKit-Demo.Objective-C
- CloudKit in Swift 🔶
  - https://github.com/Yalantis/CloudKit-Demo.Swift
- Federal Data SDK 🔶
  - https://github.com/USDepartmentofLabor/Swift-Sample-App
- Furni: Furniture store demo app using Fabric 🔶🔥
  - https://github.com/twitterdev/furni-ios
- HomeKit-Demo 🔶🔥🔥
  - https://github.com/KhaosT/HomeKit-Demo
- KnockToReact: Interact with users just by receiving and recognizing "knocks" in the device 
  - https://github.com/MatheusCavalca/KnockToReact
- LVMC: Multicolumn ListView helper library for Titanium 
  - https://github.com/falkolab/LVMC-Demo-Alloy-App
- Layer-Parse: This is a Swift sample app that integrates Layer and Atlas with Parse 🔶
  - https://github.com/kwkhaw/Layer-Parse-iOS-Swift-Example
- LayerPlayer: Explore the capabilities of Apple's Core Animation API 🔶🔥🔥🔥
  - https://github.com/scotteg/LayerPlayer
  - https://itunes.apple.com/app/layer-player/id949768742
- OpenShop.io: Ecommerce shopping app 
  - https://github.com/openshopio/openshop.io-ios
  - https://itunes.apple.com/app/id1088689646
- Polls: iOS Client for Polls API by Apiary 🔶
  - https://github.com/apiaryio/polls-app
- RKGist: GitHub Gist app using RestKit 
  - https://github.com/RestKit/RKGist
- ReactiveKitten: It's about gifs and cats, example project for Interstellar 🔶
  - https://github.com/JensRavens/ReactiveKitten
- Reusable Code: Reusable code, written in Swift 🔶🔥🔥🔥🔥🔥
  - https://github.com/carlbutron/Swift
- SafariAutoLoginTest: Demo showing how to auto-login users in iOS 9 based on Safari cookies 🔶
  - https://github.com/mackuba/SafariAutoLoginTest
- Starship: A generic API client application for iOS using Hyperdrive 🔶
  - https://github.com/kylef/Starship
- StateRestorationDemo: State preservation and restoration APIs 🔶
  - https://github.com/shagedorn/StateRestorationDemo
- Swift-Demos: Collection of demos for Swift 🔶🇨🇳🔥🔥🔥🔥
  - https://github.com/Lax/iOS-Swift-Demos
- iOS 8 Sampler: Code examples for the new functions in iOS 8 🔥🔥🔥🔥🔥
  - https://github.com/shu223/iOS8-Sampler
- iOS 9 Sampler: Code examples for the new functions in iOS 9 🔶🔥🔥🔥🔥🔥
  - https://github.com/shu223/iOS-9-Sampler

## Security 
 
[back to top](#readme) 
 
- FreeOTP Authenticator: Two-Factor Authentication 
  - https://fedorahosted.org/freeotp/browser/ios
  - https://itunes.apple.com/app/freeotp/id872559395
- MasterPassword: Stateless password management solution 🔥🔥
  - https://github.com/Lyndir/MasterPassword
  - https://itunes.apple.com/app/id510296984
- MiniKeePass: Secure Password Manager 🔥🔥
  - https://github.com/MiniKeePass/MiniKeePass
  - https://itunes.apple.com/app/id451661808
- SkeletonKey: iPhone password manager with Dropbox 
  - https://github.com/chrishulbert/SkeletonKey
  - https://itunes.apple.com/app/skeleton-key-password-manager/id513648119
- ZeroStore: password storage without the storage 
  - https://github.com/kylebshr/zerostore-ios

## Social 
 
[back to top](#readme) 
 
- Aozora: Discover and track anime 🔶
  - https://github.com/pjchavarria/Aozora
  - https://itunes.apple.com/app/aozora-anime-community-track/id1017433045
- Peggsite: App for sharing a social board 
  - https://github.com/jenduf/GenericSocialApp
  - https://itunes.apple.com/app/peggsite/id938445951
- StreetMusicMap: Is a collaborative global community that connects street musicians, fans and videomakers. 
  - https://github.com/henriquevelloso/StreetMusicMap
  - https://itunes.apple.com/app/street-music-map/id980068735
- Yep: Discover talent and build something together 🔶🔥🔥🔥🔥🔥
  - https://github.com/CatchChat/Yep
  - https://itunes.apple.com/app/yep-meet-genius/id983891256

## Tasks 
 
[back to top](#readme) 
 
- 1Trackr: Digitally log in your community service hours onto the cloud 
  - https://github.com/JerryHDev/1Trackr
  - https://itunes.apple.com/app/1trackr-service-hour-tracking/id1072273630
- CloudKit-To-Do-List: Store & retrieve tasks using CloudKit 🔶
  - https://github.com/anthonygeranio/CloudKit-To-Do-List
- MyAwesomeChecklist 🔶
  - https://github.com/imod/MyAwesomeChecklist
- RealmToDo: A small todo list with Realm integration 🔶
  - https://github.com/pietbrauer/RealmToDo
- Swift Off: Firebase powered to do app built in Swift, includes tutorial 🔶
  - https://github.com/goprimer/swift-off-todo
- Tinylog: A minimal iPhone/iPad TODO app 🔶
  - https://github.com/binarylevel/Tinylog-iOS
  - https://itunes.apple.com/app/tinylog/id799267191
- Todo: A todo list app written in Swift 🔶🔥
  - https://github.com/JakeLin/Todo
- Todo.txt: If you have a file called todo.txt on your computer right now, you're in the right place 🔥🔥
  - https://github.com/ginatrapani/todo.txt-ios
  - https://itunes.apple.com/app/todo.txt-touch/id491342186

## Weather 
 
[back to top](#readme) 
 
- Lucid Weather Clock: Swift precipitation clock - uses Forecast.io 🔶
  - https://github.com/wrutkowski/Lucid-Weather-Clock
- Pocket Forecast: Swift weather application for Typhoon 🔶🔥🔥
  - https://github.com/appsquickly/Typhoon-Swift-Example
- RainMan: Uses Forecast.io 🔶🔥🔥🔥
  - https://github.com/Mav3r1ck/Project-RainMan
- SmileWeather: Uses Weather Underground & OpenWeatherMap 🔥🔥
  - https://github.com/liu044100/SmileWeather
- Sol: Uses Weather Underground 🔥🔥🔥🔥
  - https://github.com/comyarzaheri/Sol
- SwiftWeather 🔶🔥🔥🔥🔥🔥
  - https://github.com/JakeLin/SwiftWeather
- Tropos: A weather app using ReactiveCocoa and Forecast.io 🔥🔥🔥🔥
  - https://github.com/thoughtbot/Tropos
  - https://itunes.apple.com/app/tropos-weather-forecasts-for/id955209376
- WeatherApp: Weather app by jsphkhan using React Native 
  - https://github.com/jsphkhan/ReactNativeExamples/tree/master/ios/WeatherApp
- WeatherMap: Weather around you in a glance, uses OpenWeatherMap 🔶🔥🔥
  - https://github.com/TakefiveInteractive/WeatherMap
  - https://itunes.apple.com/app/weather-map-take-five-interactive/id990141529
- YoCelsius 🔥🔥🔥
  - https://github.com/YouXianMing/YoCelsius
  - https://itunes.apple.com/app/yocelsius/id967721892

## Web 
 
[back to top](#readme) 
 
- PHPHub: Universal app for PHPHub Forum 🇨🇳🔥🔥
  - https://github.com/Aufree/phphub-ios
  - https://itunes.apple.com/app/phphub-ji-ji-xiang-shang-php/id1052966564
- ProMonster: Store 🇧🇷
  - https://github.com/usemobile/promonster-ios
  - https://itunes.apple.com/app/promonster/id919649318
- QiitaCollection: Technical knowledge sharing and collaboration platform 🇯🇵
  - https://github.com/anzfactory/QiitaCollection
  - https://itunes.apple.com/app/kitakore-for-qiita/id973532800

## Misc 
 
[back to top](#readme) 
 
- A Menjar: Food menu app 🇪🇸
  - https://github.com/maurovc/aMenjar
  - https://itunes.apple.com/app/a-menjar!/id816473131
- Be my eyes: Connect blind people with volunteer helpers via live video chat 🔥🔥
  - https://github.com/bemyeyes/bemyeyes-ios
  - https://itunes.apple.com/app/be-my-eyes-helping-blind-see/id905177575
- BlogQuest: Alternative Tumblr client 
  - https://github.com/irace/BlogQuest
- Borrowed Books UFGRS: Manage borrowed books at UFRGS using SABI 🔶
  - https://github.com/MatheusCavalca/RenovaLivrosUFRGS
- CardDecks: Configurable card decks 
  - https://github.com/aharren/CardDecks
- ChineseZodiac 🔶🔥
  - https://github.com/JakeLin/ChineseZodiac
- Colo: Color themes hunter 
  - https://github.com/wongzigii/Colo
- DeckRocket: Turn your iPhone into a remote for Deckset presentations 🔶🔥🔥
  - https://github.com/jpsim/DeckRocket
- EmotionNote: Emotion diary  choose or take a photo of your face, the app will tell you your emotion 🔶 🔶
  - https://github.com/Yogayu/EmotionNote
- GammaThingy: Change screen gamma dynamically 🔥🔥🔥
  - https://github.com/thomasfinch/GammaThingy
- GoodNight: Change screen gamma dynamically 🔥🔥
  - https://github.com/anthonya1999/GoodNight
- GreatReader: "Great" PDF reader designed for both iPhone and iPad 🔥🔥
  - https://github.com/semweb/GreatReader
  - https://itunes.apple.com/app/greatreader/id903651112
- HackCancer: [Hackathon app](http://www.hackcancer.co/) 🔶
  - https://github.com/HackCancer/iOS
- Hidrate: App for smart water bottle 
  - https://github.com/mjcuva/Hidrate
- Jupp: App with share extension for ADN 🔶
  - https://github.com/dasdom/Jupp
  - https://itunes.apple.com/app/jupp-share-extension-for-app.net/id909926740
- LidderbuchApp: Songbook for Luxembourgish Students 🔶🇱🇺
  - https://github.com/AcelLuxembourg/LidderbuchApp
  - https://itunes.apple.com/app/lidderbuch/id997143407
- Mirror++: Minimalist mirror 🔶
  - https://github.com/nathunsmitty/MirrorPlusPlus
- Onions: Cloud encrypted text storage app 
  - https://github.com/onionsapp/Onions-iOS
  - https://itunes.apple.com/app/onions/id687296481
- Open States: Browse state legislatures 
  - https://github.com/sunlightlabs/openstates-ios
- OpenCB: Interactive chess book reader 
  - https://github.com/student-t/OpenCB
- Phonetic: Add phonetic keys for Chinese names 🔥🔥
  - https://github.com/iAugux/Phonetic
- Population Clock: Learn about geography and demographics 
  - https://github.com/Netfilter-Com/PopulationClock
  - https://itunes.apple.com/app/population-clock-hd/id590689957
- Round & Split: Tip Calculator 🔶
  - https://github.com/lukhnos/roundandsplit
  - https://itunes.apple.com/app/round-split/id912288737
- Runner-Stats: iPhone app to record running data 
  - https://github.com/hukun01/Runner-Stats
  - https://itunes.apple.com/app/runner-stats/id793443821
- Swiflytics: See your realtime Google Analytics data 🔶
  - https://github.com/aciidb0mb3r/Swiflytics
  - https://itunes.apple.com/app/swiflytics/id1076165139
- Tether: Tethering for non-jailbroken iOS Devices over USB 
  - https://github.com/chrisballinger/Tether-iOS
- TheReservist: Check availability of iPhones 🔶
  - https://github.com/kimar/TheReservist
- Theseus: Personal analytics tool 🔥🔥🔥
  - https://github.com/lazerwalker/Theseus
- TrollDrop: AirDrop trollfaces to everyone 
  - https://github.com/a2/TrollDrop
- VPN On: Today Widget to turn on VPN 🔶🔥🔥🔥🔥
  - https://github.com/lexrus/VPNOn
  - https://itunes.apple.com/app/vpn-on/id951344279
- Vinylogue: Simple Last.fm client 
  - https://github.com/twocentstudios/vinylogue
  - https://itunes.apple.com/app/vinylogue-for-last.fm/id617471119
- WWDC Students: WWDC scholarship entry apps 🔶🔥
  - https://github.com/wwdc
- WaniKani: Client app for WaniKani.com site (learn kanji) 🔶
  - https://github.com/haawa799/WaniKani-iOS
  - https://itunes.apple.com/app/wanikani/id1034355141
- Words: Thesaurus app 
  - https://github.com/soffes/words
- Yorkie: This app will help you take care of your dog 
  - https://github.com/carlbutron/YorkieApp
  - https://itunes.apple.com/app/Yorkie/id1000836606
- bar: Cocktail menu 🔶
  - https://github.com/soffes/bar
- iContactU: Reminds you to contact people you ought to 🔶🔥
  - https://github.com/rizal72/iContactU
  - https://itunes.apple.com/app/icontactu/id920200100
- iCopyPasta: Pasteboard feed app 🔶🔥
  - https://github.com/alltheflow/iCopyPasta
- iGrades: Track your class grades 
  - https://github.com/maurovc/iGrades
  - https://itunes.apple.com/app/id816987574
- my41: HP-41C/CV/CX Microcode emulator 
  - https://github.com/mperovic/my41
  - https://itunes.apple.com/app/my41cx/id979041950
- ownCloud: File browser and sync for ownCloud file hosting service 🔥🔥
  - https://github.com/owncloud/ios
  - https://itunes.apple.com/app/owncloud/id543672169

### 3D Touch 
 
[back to top](#readme) 
 
- ForceSketch: Sketching app using 3D Touch 
  - https://github.com/FlexMonkey/ForceSketch
- Plum-O-Meter: 3D Touch Application for Weighing Plums (and other small fruit!) 🔶🔥🔥
  - https://github.com/FlexMonkey/Plum-O-Meter

### Calendar 
 
[back to top](#readme) 
 
- Malendar: A redesigned calendar app 🔶
  - https://github.com/croossin/Malendar
- Workdays: Simple iPhone calendar with operating schedule 
  - https://github.com/mpak/Workdays
  - https://itunes.apple.com/app/workdays-calendar/id889712978

### Text 
 
[back to top](#readme) 
 
- Edhita: Text editor 🔶🔥🔥🔥
  - https://github.com/tnantoka/edhita
  - https://itunes.apple.com/app/edhita-open-source-text-editor/id398896655
- SimpleMemo: Sync notes to EverNote 🔥
  - https://github.com/likumb/SimpleMemo
  - https://itunes.apple.com/app/yi-bian-qian/id1029807896
- SwiftNote: Simple note taking app with today widget and iCloud syncing 🔶🔥
  - https://github.com/mslathrop/SwiftNote

### Timer 
 
[back to top](#readme) 
 
- Coffee Timer 🔶
  - https://github.com/ashfurrow/yourfirstswiftapp
- Fojusi: Work timer with today extension 🔶🔥🔥
  - https://github.com/dasdom/Tomate
  - https://itunes.apple.com/app/fojusi/id923044693
- TrackMyTime 
  - https://github.com/EvgenyKarkan/TrackMyTime

## Special 
 
[back to top](#readme) 
 

### Appcelerator 
 
[back to top](#readme) 
 
- Tracker 4 Compassion: Track your walk, run or ride 
  - https://github.com/fokkezb/tracker
  - https://itunes.apple.com/app/g.o.-tracker-4-compassion/id1100240821

### Core Data 
 
[back to top](#readme) 
 
- DVD Collection Tracker 
  - https://github.com/chrismiles/OrganisingCoreData
- Nested Lists 🔥
  - https://github.com/objcio/issue-4-full-core-data-application
- Tasks: Designed to quickly and easily add tasks to your iPhone 🔶
  - https://github.com/mbcrump/TasksForSwiftWithPersistingData
  - https://itunes.apple.com/app/task-application/id960435759

### [Ionic](http://ionicframework.com/) 
 
[back to top](#readme) 
 
- Vegan Lists UK: View and collect official/unofficial Vegan food lists 
  - https://github.com/dsgriffin/vegan-lists-uk
  - https://itunes.apple.com/app/vegan-lists-uk/id1083273301

### Parse 
 
[back to top](#readme) 
 
- 2CITY: Find out the coolest things to do in your city 
  - https://github.com/2city/2CITY-iOS
  - https://itunes.apple.com/app/2city/id944632470
- AnyWall: A fun geolocation app built with Parse 🔥🔥
  - https://github.com/ParsePlatform/AnyWall
  - https://itunes.apple.com/app/anywall/id520955490
- Anypic: Mobile and web app that lets users share photos similar to Instagram 
  - https://github.com/kwkhaw/SwiftAnyPic 🔶
  - https://itunes.apple.com/app/anypic/id539741538
- Jim: Track your gym workouts 🔶
  - https://github.com/kylejm/Jim
- Parse-Challenge-App: iPhone app built using Parse w/ likes, comments, posting images/video 🔥
  - https://github.com/TomekB/Parse-Challenge-App
  - https://itunes.apple.com/app/lets-challenge-me/id944004497
- ParseStore: Backend provider for selling physical goods using Parse 🔥
  - https://github.com/ParsePlatform/ParseStore
  - https://itunes.apple.com/app/parse-store/id613679907
- Paws: Building an Instagram-Like App with Parse and Swift 🔶
  - http://www.appcoda.com/instagram-app-parse-swift/
- how-much: Simple app to record how much things cost using Parse 
  - https://github.com/dkhamsing/how-much
- iBeaconTasks: iBeacon TODO reminder app based on Parse 
  - https://github.com/TomekB/iBeaconTasks

### [React Native](http://facebook.github.io/react-native/) 
 
[back to top](#readme) 
 
- 2048: App by Facebook 
  - https://github.com/facebook/react-native/tree/master/Examples/2048
- Around Me: Display Instagram photos around your location 
  - https://github.com/bgryszko/react-native-example
- Assemblies: Developer-focused Meetup clone 🔥
  - https://github.com/buildreactnative/assemblies
- Calculator 🔥🔥🔥🔥
  - https://github.com/benoitvallon/react-native-nw-react-calculator
- Currency Converter 
  - https://github.com/ashwinpreet/ReactNativeExamples/tree/master/ios/CurrencyConverter
- Den: View houses for sale in the Northwest 🔥
  - https://github.com/asamiller/den
- Dribbble 🔥🔥🔥
  - https://github.com/catalinmiron/react-native-dribbble-app
- F8 2016: Official F8 app 🔥🔥🔥🔥
  - https://github.com/fbsamples/f8app/
- Facebook Login 🔥🔥
  - https://github.com/brentvatne/react-native-login
- Finance: iOS's Stocks app written in React Native 🔥
  - https://github.com/7kfpun/FinanceReactNative
- Foreign Exchange 
  - https://github.com/peralmq/ForeignExchangeApp
- HackerNews-React-Native 🔥🔥🔥🔥
  - https://github.com/iSimar/HackerNews-React-Native
  - https://itunes.apple.com/app/hacker-news-reader-react-native/id1067161633
- Iceland Earthquakes 
  - https://github.com/paranoida/IcelandEarthquakes
- Movies: App by Facebook 
  - https://github.com/facebook/react-native/tree/master/Examples/Movies
- NortalTechDay: Nortal TechDay 2015 app 🔥
  - https://github.com/mikkoj/NortalTechDay
- ParseDeveloperDay: Parse 2013 developer conference app 
  - https://github.com/ParsePlatform/ParseDeveloperDay
- PocketNode: Lightweight Node REPL 
  - https://github.com/mzabriskie/PocketNode
- Product Kitty: Product Hunt app 
  - https://github.com/rkho/product-kitty
- Property Finder 🔥
  - https://github.com/ColinEberhardt/ReactNative-PropertyFinder
- RSS Reader 
  - https://github.com/christopherdro/react-native-rss-reader
- ReactNativeHackerNews 
  - https://github.com/jsdf/ReactNativeHackerNews
- Songkick 
  - https://github.com/ArnaudRinquin/sk-react-native
- Spacepics: A small app displaying NASA's Picture of the Day 
  - https://github.com/campezzi/react-native-spacepics
- Sudoku 
  - https://github.com/christopherdro/react-native-sudoku
- TicTacToe: App by Facebook 
  - https://github.com/facebook/react-native/tree/master/Examples/TicTacToe
- To Do List 
  - https://github.com/joemaddalone/react-native-todo
- Twitch 
  - https://github.com/IFours/react-native-twitch
- UIExplorer: App by Facebook 
  - https://github.com/facebook/react-native/tree/master/Examples/UIExplorer
- Weather: by JakeLin 
  - https://github.com/JakeLin/ReactNativeWeather
- WeatherApp: Weather app by jsphkhan using React Native 
  - https://github.com/jsphkhan/ReactNativeExamples/tree/master/ios/WeatherApp
- allyoop: NBA game scores app 🔥🔥
  - https://github.com/wwayne/react-native-nba-app
- iTunes Catalog Search 
  - https://github.com/alexissan/ReactNativeWorkshop
- london-react 
  - https://github.com/JoeStanton/london-react
- newswatch: News app using YouTube playlists 
  - https://github.com/bradoyler/newswatch-react-native

### Reactive Programming 
 
[back to top](#readme) 
 
- ReactiveKitten: It's about gifs and cats, example project for Interstellar 🔶
  - https://github.com/JensRavens/ReactiveKitten

### [ReactiveCocoa](https://github.com/ReactiveCocoa/ReactiveCocoa) 
 
[back to top](#readme) 
 
- BrewMobile: App for managing the beer brewing process 🔶🔥
  - https://github.com/brewfactory/BrewMobile
- C-41: Make developing film easier and more reliable by using this simple timer 🔥🔥🔥🔥
  - https://github.com/ashfurrow/C-41
  - https://itunes.apple.com/app/c-41/id789924103
- GitBucket: GitHub client using MVVM & ReactiveCocoa 🔥🔥🔥🔥
  - https://github.com/leichunfeng/MVVMReactiveCocoa
  - https://itunes.apple.com/app/id961330940
- GroceryList: iPhone grocery list app, synchronized using GitHub 🔥🔥🔥
  - https://github.com/jspahrsummers/GroceryList
- HausClock: Minimal Chess Clock using MVVM and ReactiveCocoa 🔶
  - https://github.com/nottombrown/HausClock
- ReactiveHackerNews: Hacker News reader with Tinder style interface, written in ObjC, uses MVVM & ReactiveCocoa 
  - https://github.com/syshen/ReactiveHackerNews
  - https://itunes.apple.com/app/reactive-hacker-news-stay/id969422368
- ReactiveSwiftFlickrSearch: A Flickr-search app that uses MVVM & ReactiveCocoa 🔶🔥🔥
  - https://github.com/ColinEberhardt/ReactiveSwiftFlickrSearch
- SimpleAuth: Simple authentication (OAuth for Twitter, Facebook, Instagram, Tumblr and more) 🔥🔥🔥🔥
  - https://github.com/calebd/SimpleAuth
- SwiftRACGoogleImages: Google image search using RAC 4.0 and Swift 2.1 🔶
  - https://github.com/Adlai-Holler/SwiftRACGoogleImages
- Tropos: A weather app using ReactiveCocoa and Forecast.io 🔥🔥🔥🔥
  - https://github.com/thoughtbot/Tropos
  - https://itunes.apple.com/app/tropos-weather-forecasts-for/id955209376

### [RXSwift](https://github.com/ReactiveX/RxSwift) 
 
[back to top](#readme) 
 
- GitHub API Client: GitHub client using MVVM and RxSwift 🔶🔥
  - https://github.com/tailec/boilerplate
- Kiosk: The Artsy auction kiosk app, uses RxSwift 🔶🔥🔥🔥🔥
  - https://github.com/artsy/eidolon

### Realm 
 
[back to top](#readme) 
 
- Done: Data sharing between a WatchKit app and its main app using Realm 🔶
  - https://github.com/FancyPixel/done-swift
- RealmToDo: A small todo list with Realm integration 🔶
  - https://github.com/pietbrauer/RealmToDo

### [VIPER](https://mutualmobile.github.io/blog/2013/12/04/viper-introduction/) 
 
[back to top](#readme) 
 
- Contacts 
  - https://github.com/sebastianwr/VIPER-Persons
- Counter 🔥
  - https://github.com/mutualmobile/Counter
- Rambler.Conferences 
  - https://github.com/rambler-ios/RamblerConferences
- To do: objcio [example](https://github.com/objcio/issue-13-viper) 
  - https://www.objc.io/issues/13-architecture/viper/

### Xamarin 
 
[back to top](#readme) 
 
- Toggl Timer 🔥
  - https://github.com/toggl/mobile
  - https://itunes.apple.com/app/toggl-timer/id885767775

## Bonus

See [archive](archive.md), [mac-apps](https://github.com/jeffreyjackson/mac-apps), [awesome-osx](https://github.com/iCHAIT/awesome-osx) and [android-apps](https://github.com/pcqpcq/open-source-android-apps).

## Thanks

This list was inspired by [awesome-ios](https://github.com/vsouza/awesome-ios) and [awesome-swift](https://github.com/matteocrippa/awesome-swift). Thanks to all the [contributors](https://github.com/dkhamsing/open-source-ios-apps/graphs/contributors) 🎉 

## Contact

- [github.com/dkhamsing](https://github.com/dkhamsing)
- [twitter.com/dkhamsing](https://twitter.com/dkhamsing)
